 /* ===== Theme =============================================================
   Author: SNCF DSIT-E7/AR
   Descr: Contient toutes les propriétés concernant les couleurs
   ========================================================================== */

/* Arrière-plan */
body{
	background:#232323; /* Utiliser background et pas background-color pour remplacer le fond de bootstrap par défaut */
}

/* Arrière plan du corps */
/* correction, doit récuperer le fond de la classe grisBkg
/*.corps{
	background:#fff;
}*/

/* Titres */
/* correction regression ctr */
/*h1{
	color:#0088CE;
}
h2{
	color:#6E267B;
}
h3{
	color:#6E267B;
}
h4{
	color:#666;
}*/

/* Classes de surchargement de couleur */
.sncf_txt_bleu{
	color:#0088CE !important;
}

.sncf_txt_orange{
	color:#E05206 !important;
}
.sncf_txt_rouge{
	color:#CB0044;
}
.sncf_txt_violet{
	color:#6E267B;
}
.sncf_txt_gris1{
	color:#999;
}
.sncf_txt_gris2{
	color:#666;
}

/* Couleur de fond des encarts well */
.well{
	background-color:#F7F7F7;
}
.well-orange{
	background:#E05206;
	border-color:#E05206;
	color:#fff;
}
.well-bleu{
	background:#0088CE;
	border-color:#0088CE;
	color:#fff;
}
.well-violet{
	background:#6E267B;
	border-color:#6E267B;
	color:#fff;
}

.well-rouge{
	background:#CB0044;
	border-color:#CB0044;
	color:#fff;
}


.well-orange h1,
.well-bleu h1,
.well-violet h1,
.well-rouge h1,
.well-orange h2,
.well-bleu h2,
.well-violet h2,
.well-rouge h2,
.well-orange h3,
.well-bleu h3,
.well-violet h3,
.well-rouge h3,
.well-orange h4,
.well-bleu h4,
.well-violet h4,
.well-rouge h4,
.well-orange h5,
.well-bleu h5,
.well-violet h5,
.well-rouge h5,
.well-orange h6,
.well-bleu h6,
.well-violet h6,
.well-rouge h6 {
	color:#fff;
}
   
/* Arrière plan du bandeau de menus déroulants */
nav.main-nav{
	background: #fff;
	background: -webkit-gradient(linear, 0 0, 0 bottom, from(#fff), to(#f5f5f5));
	background: -webkit-linear-gradient(#fff, #f5f5f5);
	background: -moz-linear-gradient(#fff, #f5f5f5);
	background: -ms-linear-gradient(#fff, #f5f5f5);
	background: -o-linear-gradient(#fff, #f5f5f5);
	background: linear-gradient(#fff, #f5f5f5);
	filter: progid:DXImageTransform.Microsoft.Shadow(color='#B7B7B7', Direction=180, Strength=2);
}

/* Liens et textes de la navbar */
.navbar .nav>li a,
.navbar .nav>li p{
    color: #999999;
}

/* Liens et textes actifs de la navbar */
.navbar .nav>li a:hover,
.navbar .nav>li a:focus,
.navbar .nav>li a:active,
.navbar .nav>li p:hover,
.navbar .nav>li p:focus,
.navbar .nav>li p:active{
	color:#fff;
}

/* Liens des menus déroulants */
.sncf_nav a {
	color:#000;
}

/* Liens des sous-menus déroulants */
.sncf_nav .sub a {
	background: #f5f5f5;
	color: #626262;
}

/* Liens actifs des sous-menus déroulants */
.sncf_nav .sub a:hover, 
.sncf_nav .sub a:focus, 
.sncf_nav .sub a:active {
	color:#fff;
	background-color: #D30043;
}

/* Liens actifs des menus déroulants */
.sncf_nav a.main:hover, 
.sncf_nav a.main:focus, 
.sncf_nav a.main:active { 
	color: #D30043;
}

/* Surlignage du texte */
::-moz-selection{ 
	background: #0088CE;
	color:#FFF;
}
::selection { 
	background: #0088CE;
	color:#FFF;
} 
::-webkit-selection{ 
	background: #0088CE; 
	color:#fff;
}

/* Bordure du haut de page */
div#top-navbar{
	background-color: #009959;
}

/* Lignes de séparation */
hr{
	border-color:#E3E3E3 #FFFFFF #E8E8E8;
}

/* Liens actifs de la sidebar */
.nav-list > .active > a,
.nav-list > .active > a:hover,
.nav-list > .active > a:active,
.nav-list > .active > a:focus{
	color:#FFFFFF;
	background-color:#009959;
}
 
/* Liens du site */
/* a{
	color:#009959;
}*/

/* Liens actifs */
a:hover,
a:focus,
a:active{
	color:#333333;
}

/* Boutons primary */
.btn-primary{
	background-color:#009959;
	background-image:-webkit-linear-gradient(top,#009959,#A10043);
	background-image:-moz-linear-gradient(top,#009959,#A10043);
	background-image:linear-gradient(to bottom,#009959,#A10043);
	border-color:#A10043\9; /* Pour IE8 */
	color:#FFFFFF;
}

/* Boutons primary actifs  */
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active, 
.btn-primary.active, 
.btn-primary.disabled,
.btn-primary[disabled]{
	background-color:#037e4a;
}

.btn-group.open .btn-primary.dropdown-toggle{
	background-color:#A10043;
}

/* Couleur de fond du hero unit */
.hero-unit{
	background-color:rgba(161, 1, 107, 0.07) !important; /* Firefox */
	background-color:#E6DBE2; /* IE */
}

/* Liens actifs des menus dropdown et submenu */
.dropdown-menu > li > a:hover,
.dropdown-menu > li > a:focus,
.dropdown-submenu:hover > a,
.dropdown-submenu:focus > a,
.dropdown-menu > .active > a,
.dropdown-menu > .active > a:hover,
.dropdown-menu > .active > a:focus
{
	/*background-color:#232323;*/
}

/* Liens actifs des menus à onglet (Pills) */
.nav-pills > .active > a,
.nav-pills > .active > a:hover,
.nav-pills > .active > a:focus{
	background-color:#009959;
	color:#fff;
}

/* Flèches de déroulement des dropdown */
.nav .dropdown-toggle .caret{
	/* Bien spécifier pour les bordures du haut et du bas pour la forme de la flèche */
	border-top-color:#009959; 
	border-bottom-color:#009959;
}

/* Flèches acives de déroulement des dropdown */
.nav .dropdown-toggle:hover .caret,
.nav .dropdown-toggle:focus .caret{
	border-top-color:#333;
	border-bottom-color:#333;
}

/* Case active de datepicker */
.datepicker td.active, 
.datepicker td.active:hover , 
.datepicker td span.active {
    background-image: linear-gradient(to bottom, #009959, #A10043);
	background-image: -moz-linear-gradient(top, #009959, #A10043);
	background-image: -webkit-linear-gradient(top, #009959, #A10043);
}

/* En tetes de tableau */
.table th, .table th a{
    /*background: #232323;*/
    color: #333333;
}

/* Fleches de tri */
.table th .caret, .table th .caret-up{
	border-bottom-color:#999;
	border-top-color:#999;
}

.table th.sortable:hover, .table th:hover a{
	color:#fff;
}
.table th.sortable:hover .caret,
.table th.sortable:hover .caret-up{
	border-top-color:#fff;
	border-bottom-color:#fff;
}


/* Couleurs des éléments visibles lorsque la résolution est inférieure à 979px de largeur*/
@media (max-width: 979px){

	/* Liens de la barre d'informations */
	.nav-collapse .nav>li>a,
	.nav-collapse .dropdown-menu a{
		color:#999;
	}
}

/* Couleurs des éléments visibles lorsque la résolution est inférieure à 767px de largeur*/
@media (max-width: 767px) {
	
	/* Liens des menus déroulants*/
	.sncf_nav a.main,
	.sncf_nav a.main:link,
	.sncf_nav a.main:visited{
		background:#EEE;
		border-top-color:#F7F7F7;
		border-bottom-color:#E0E0E0;
	}
	
	/* Liens des sous-menus déroulants */
	.sncf_nav .sub a{
		background:#F7F7F7;
		border-top-color:#FFF;
		border-bottom-color:#EEE;
	}
	
	/* Liens actifs des menus déroulants */
	.sncf_nav a.main:hover,
	.sncf_nav a.main:active{
		color:#fff!important;
		background:#B50075!important;
	}
	
	/* Liens actifs des sous-menus déroulants */
	.sncf_nav .sub a:hover,
	.sncf_nav .sub a:focus,
	.sncf_nav .sub a:active{
		background-color:#C40B80;
	}
}

/* Couleurs des éléments visibles lorsque la résolution est comprise entre 768px et 979px de largeur */
@media (min-width: 768px) and (max-width: 979px) {
	
	/* Liens du menu */
	.sncf_nav a.main,
	.sncf_nav a.main:link,
	.sncf_nav a.main:visited{
		/* background:#009959; */
		/* color:#e8e8e8 !important; */
		border-color:#E3E3E3;
	}
	
	/* Liens actifs du menu */
	.sncf_nav a.main:hover,
	.sncf_nav a.main:active{
		/* color:#fff!important; */
		/*background:#C40B80!important;*/
		border-color: #009959!important;
	}

	/* Sous-menu (barre de liens qui s'affiche en dessous du menu) */
	#subItemContent{
		/* background:#C40B80; */
		background:#E3E3E3;
		/* color:#B5B5B5; */
	}
	
	/* Liens du sous-menu (barre de liens qui s'affiche en dessous du menu) */
	#subItemContent a, 
	#subItemContent a:link, 
	#subItemContent a:visited{
		/* color:#e8e8e8!important; */
		color:inherit;
	}
}
